summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Giovanne Castro2010-07-30 04:49:06 +0200
committer Erik Hanson2010-08-01 05:31:51 +0200
commit88501b2b4ecf73a43ebe28ff641f21f46b6ee778 (patch)
tree1929dc371f42a147d4a38060e7991dd4a7b692e6 /multimedia
parenta1b40631bc8d61154fdd4aeb01f5ccae062030c3 (diff)
downloadslackbuilds-88501b2b4ecf73a43ebe28ff641f21f46b6ee778.tar.gz
multimedia/qdvdauthor: Added (DVD Authoring Suite)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/qdvdauthor/README5
-rw-r--r--multimedia/qdvdauthor/doinst.sh14
-rw-r--r--multimedia/qdvdauthor/qdvdauthor.SlackBuild93
-rw-r--r--multimedia/qdvdauthor/qdvdauthor.info16
-rw-r--r--multimedia/qdvdauthor/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/multimedia/qdvdauthor/README b/multimedia/qdvdauthor/README
new file mode 100644
index 0000000000..48515757b8
--- /dev/null
+++ b/multimedia/qdvdauthor/README
@@ -0,0 +1,5 @@
+'Q'DVD-Author is a complete solution for DVD authoring and creation
+of slide-show on DVD.
+
+This requires dvdauthor, mjpegtools, lame, twolame, dvd-slideshow, and
+qt3 from /extra/kde3-compat/
diff --git a/multimedia/qdvdauthor/doinst.sh b/multimedia/qdvdauthor/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/multimedia/qdvdauthor/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/qdvdauthor/qdvdauthor.SlackBuild b/multimedia/qdvdauthor/qdvdauthor.SlackBuild
new file mode 100644
index 0000000000..4aa24595be
--- /dev/null
+++ b/multimedia/qdvdauthor/qdvdauthor.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for qdvdauthor
+
+# Written by Giovanne Castro (giovannefc@terra.com.br)
+
+PRGNAM=qdvdauthor
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/masks.tar.bz2
+tar xvf $CWD/buttons.tar.bz2
+tar xvf $CWD/alpha_trans.tar.bz2
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure -n \
+ --prefix=$PKG/usr \
+ --system-path=/usr \
+ --omit-local-ffmpeg
+
+./configure -n --install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Install masks, buttons and slideshow contents
+cp -a masks $PKG/usr/share/qdvdauthor
+cp -a buttons $PKG/usr/share/qdvdauthor
+cp -a slideshow $PKG/usr/share/qdvdauthor
+
+# Install icon
+mkdir -p $PKG/usr/share/pixmaps
+cp qdvdauthor.png $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/applications
+cp qdvdauthor.desktop $PKG/usr/share/applications
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG COPYING INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/qdvdauthor/qdvdauthor.info b/multimedia/qdvdauthor/qdvdauthor.info
new file mode 100644
index 0000000000..ec9a28ae2c
--- /dev/null
+++ b/multimedia/qdvdauthor/qdvdauthor.info
@@ -0,0 +1,16 @@
+PRGNAM="qdvdauthor"
+VERSION="2.1.0"
+HOMEPAGE="http://qdvdauthor.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/qdvdauthor/qdvdauthor-2.1.0.tar.gz \
+ http://qdvdauthor.sourceforge.net/data/masks.tar.bz2 \
+ http://qdvdauthor.sourceforge.net/data/buttons.tar.bz2 \
+ http://qdvdauthor.sourceforge.net/data/alpha_trans.tar.bz2"
+MD5SUM="c4b1e5977d51fcb0ed4bd06984f5bffa \
+ 1ed15c30ffaf344c97fdadfca390fc78 \
+ d6e546a256bddbcfaa068505b572b45c \
+ 0c6679e836f452c3b8bc14256fd7f460"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@terra.com.br"
+APPROVED="rworkman"
diff --git a/multimedia/qdvdauthor/slack-desc b/multimedia/qdvdauthor/slack-desc
new file mode 100644
index 0000000000..7b99890e60
--- /dev/null
+++ b/multimedia/qdvdauthor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler----------------------------------------------------|
+qdvdauthor: 'Q'DVD-Author (DVD Authoring Suite)
+qdvdauthor:
+qdvdauthor: 'Q'DVD-Author is a complete solution for DVD authoring and creation
+qdvdauthor: of slide-show on DVD.
+qdvdauthor:
+qdvdauthor: Home Page: http://qdvdauthor.sourceforge.net/
+qdvdauthor:
+qdvdauthor:
+qdvdauthor:
+qdvdauthor:
+qdvdauthor: